Name:           six
Version:        0.5.3
Release:        11%{?dist}
Summary:        Hex playing program

Group:          Amusements/Games
License:        GPL+
URL:            http://six.retes.hu/
Source0:        http://six.retes.hu/download/%{name}-%{version}.tar.gz
Patch0:         six-gcc43.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdelibs3-devel
Requires:       hicolor-icon-theme

%description
Six is a Hex  playing program for Linux/Un*x systems running KDE. It has a
strong AI, an easy to use GUI and can import emails from Richard's PBEM server.

%prep
%setup -q
%patch0 -p0
%{__sed} -i 's/DocPath\=six\/six\.html/Categories\=Game\;BoardGame\;/' six/six.desktop
%{__sed} -i 's/Terminal\=0/Terminal\=false/' six/six.desktop
echo "Encoding=UTF-8" >> six/six.desktop

%build
%configure --disable-dependency-tracking
%{__sed} -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
%{__sed} -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%check
make check

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/six/common

%find_lang %{name}

desktop-file-install --vendor="fedora"                  \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        --delete-original                               \
        $RPM_BUILD_ROOT%{_datadir}/applnk/Games/Board/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO VERSION
%{_bindir}/*
%{_datadir}/apps/%{name}
%{_datadir}/doc/HTML/en/%{name}
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/locolor
%{_datadir}/mimelnk/application/vnd.kde.six.desktop
%{_datadir}/applications/fedora-%{name}.desktop

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
touch --no-create %{_datadir}/icons/locolor || :
%{_bindir}/gtk-update-icon-cache --quiet --ignore-theme-index %{_datadir}/icons/locolor || :
update-desktop-database &> /dev/null ||:

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
touch --no-create %{_datadir}/icons/locolor || :
%{_bindir}/gtk-update-icon-cache --quiet --ignore-theme-index %{_datadir}/icons/locolor || :
update-desktop-database &> /dev/null ||:

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb 09 2008 Rafał Psota <rafalzaq@gmail.com> - 0.5.3-9
- gcc 4.3 rebuild
* Thu Jan 10 2008 Rafał Psota <rafalzaq@gmail.com> - 0.5.3-8
- gcc 4.3 patch
* Tue Jan 08 2008 Rafał Psota <rafalzaq@gmail.com> - 0.5.3-7
- fixed BR
* Sat Aug 25 2007 Rafał Psota <rafalzaq@gmail.com> - 0.5.3-6
- BuildID rebuild
* Mon Aug 20 2007 Rafał Psota <rafalzaq@gmail.com> - 0.5.3-5
- License tag update
* Fri Jan 12 2007 Rafał Psota <rafalzaq@gmail.com> - 0.5.3-4
- added --ignore-theme-index to gtk-update-icon-cache for locolor icons
* Fri Jan 12 2007 Rafał Psota <rafalzaq@gmail.com> - 0.5.3-3
- added locolor icons to gtk-update-icon-cache
* Fri Jan 12 2007 Rafał Psota <rafalzaq@gmail.com> - 0.5.3-2
- added check, post & postun sections
- fixed .desktop file
* Mon Jan 08 2007 Rafał Psota <rafalzaq@gmail.com> - 0.5.3-1
- Initial release
